> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tembo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List agents

> List agents



## OpenAPI

````yaml https://api.tembo.io/public-api/openapi/public get /v1/agents
openapi: 3.1.0
info:
  title: Tembo Public API
  description: Public API Endpoints for Tembo
  version: 1.0.0
servers:
  - url: https://api.tembo.io
    description: Tembo API
  - url: https://{deployment-origin}/api/public-api
    description: Self-hosted Tembo
    variables:
      deployment-origin:
        default: tembo.example.com
        description: Hostname of your self-hosted Tembo deployment
security: []
paths:
  /v1/agents:
    get:
      tags:
        - Agents
      summary: List agents
      description: List agents
      operationId: listAgents
      parameters:
        - in: query
          name: cursor
          schema:
            type: string
            maxLength: 2000
        - in: query
          name: limit
          schema:
            type: string
            pattern: ^\d+$
            default: '25'
        - in: query
          name: ids
          schema:
            type: string
            maxLength: 10000
        - in: query
          name: search
          schema:
            type: string
            minLength: 1
            maxLength: 200
        - in: query
          name: archived
          schema:
            type: string
            enum:
              - 'true'
              - 'false'
        - in: query
          name: sort
          schema:
            type: string
            enum:
              - latestRun
              - runCount
        - in: query
          name: status
          schema:
            type: string
            maxLength: 10000
        - in: query
          name: integration
          schema:
            type: string
            maxLength: 10000
        - in: query
          name: author
          schema:
            type: string
            maxLength: 10000
      responses:
        '200':
          description: List agents
          content:
            application/json:
              schema:
                type: object
                properties:
                  items:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          format: uuid
                        organizationId:
                          type:
                            - string
                            - 'null'
                          minLength: 1
                          maxLength: 255
                        organizationName:
                          type:
                            - string
                            - 'null'
                        createdBy:
                          type:
                            - string
                            - 'null'
                        name:
                          type: string
                        jsonContent:
                          type:
                            - object
                            - 'null'
                          additionalProperties:
                            $ref: '#/components/schemas/AgentJsonValue'
                          description: >-
                            Agent document JSON. This normally contains a TipTap
                            document rooted at { "type": "doc", "content": [...]
                            }; unknown and future nodes, marks, attributes, and
                            extensions are preserved.
                          example:
                            type: doc
                            content:
                              - type: paragraph
                                content:
                                  - type: text
                                    text: Review the latest changes.
                        agent:
                          type:
                            - string
                            - 'null'
                        mcpServers:
                          type: array
                          items:
                            type: string
                            minLength: 1
                            maxLength: 200
                          maxItems: 100
                        artifactType:
                          type:
                            - string
                            - 'null'
                          enum:
                            - PullRequest
                            - ToolCall
                            - Plan
                            - Response
                            - File
                            - Service
                            - Source
                            - null
                        createdAt:
                          type: string
                          format: date-time
                        archivedAt:
                          type:
                            - string
                            - 'null'
                          format: date-time
                        enabledAt:
                          type:
                            - string
                            - 'null'
                          format: date-time
                        lastRun:
                          type:
                            - object
                            - 'null'
                          properties:
                            id:
                              type: string
                              format: uuid
                            sessionId:
                              type:
                                - string
                                - 'null'
                            status:
                              type: string
                            runTime:
                              type: integer
                            createdAt:
                              type: string
                              format: date-time
                            updatedAt:
                              type: string
                              format: date-time
                            errorMessage:
                              type:
                                - string
                                - 'null'
                          required:
                            - id
                            - sessionId
                            - status
                            - runTime
                            - createdAt
                            - updatedAt
                            - errorMessage
                          additionalProperties: false
                        runCount:
                          type: integer
                          minimum: 0
                        scheduleCount:
                          type: integer
                          minimum: 0
                        triggerCount:
                          type: integer
                          minimum: 0
                        hasPausedSchedule:
                          type: boolean
                        hasPausedTrigger:
                          type: boolean
                        integrationIds:
                          type: array
                          items:
                            type: string
                            format: uuid
                        integrationTypes:
                          type: array
                          items:
                            type: string
                        codeRepositoryCount:
                          type: integer
                          minimum: 0
                      required:
                        - id
                        - organizationId
                        - organizationName
                        - createdBy
                        - name
                        - jsonContent
                        - agent
                        - mcpServers
                        - artifactType
                        - createdAt
                        - archivedAt
                        - enabledAt
                        - lastRun
                        - runCount
                        - scheduleCount
                        - triggerCount
                        - hasPausedSchedule
                        - hasPausedTrigger
                        - integrationIds
                        - integrationTypes
                        - codeRepositoryCount
                      additionalProperties: false
                  nextCursor:
                    type:
                      - string
                      - 'null'
                  filterOptions:
                    type: object
                    properties:
                      totalCount:
                        type: integer
                        minimum: 0
                      integrationTypes:
                        type: array
                        items:
                          type: string
                    required:
                      - totalCount
                      - integrationTypes
                    additionalProperties: false
                required:
                  - items
                  - nextCursor
                  - filterOptions
                additionalProperties: false
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '404':
          description: Resource not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '409':
          description: Resource conflict
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '500':
          description: Agent operation failed
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
      security:
        - apiKey: []
components:
  schemas:
    AgentJsonValue:
      anyOf:
        - type: 'null'
        - type: boolean
        - type: number
        - type: string
        - type: array
          items:
            $ref: '#/components/schemas/AgentJsonValue'
        - type: object
          additionalProperties:
            $ref: '#/components/schemas/AgentJsonValue'
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer

````